Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Interface IListenerContext

All Known Subinterfaces:
  IDragListenerContext, IDropListenerContext

public interface IListenerContext

Interface for accessing the attributes used to determine the drag and drop transfer adapters and listeners

Field Summary
`static java.lang.String` `ALL_TRANSFERS` Constant for requesting all supporting transfer ids
`static java.lang.String` `DRAG` Constant for drag operation type
`static java.lang.String` `DROP` Constant for drop operation type

Method Summary
`java.lang.String` `getOperationType()` Returns the operation type
`java.lang.String` `getTransferId()` Returns the transfer id requested

Field Detail

### ALL_TRANSFERS

    public static final java.lang.String ALL_TRANSFERS

  Constant for requesting all supporting transfer ids

  See Also:
    Constant Field Values

### DRAG

    public static final java.lang.String DRAG

  Constant for drag operation type

  See Also:
    Constant Field Values

### DROP

    public static final java.lang.String DROP

  Constant for drop operation type

  See Also:
    Constant Field Values

Method Detail

### getOperationType

    public java.lang.String getOperationType()

  Returns the operation type

  Returns:
    Returns the operation type

### getTransferId

    public java.lang.String getTransferId()

  Returns the transfer id requested

  Returns:
    the transfer id

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.